Loading...
Searching...
No Matches
restinio::easy_parser::impl::and_clause_t< Subitems_Tuple > Class Template Reference

A template for implementation of clause that checks the presence of some entity in the input stream. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::and_clause_t< Subitems_Tuple >:

## Public Member Functions

| and_clause_t (Subitems_Tuple &&subitems)
template<typename Target_Type >
RESTINIO_NODISCARD optional_t< parse_error_t > | try_process (source_t &from, Target_Type &)

## Private Attributes

Subitems_Tuple | m_subitems

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::clause_tag
static constexpr entity_type_t | entity_type = entity_type_t::clause

## Detailed Description

template<typename Subitems_Tuple>
class restinio::easy_parser::impl::and_clause_t< Subitems_Tuple >

A template for implementation of clause that checks the presence of some entity in the input stream.

This template implements rules like:

     T := A &B

where and_clause_t is related to the part `&B` only.

Note
  The empty temporary object of Target_Type passed to call of `try_process` of subitems.
  This clause always returns the current position in the input stream back at the position where this clause was called.

Template Parameters

  Subitems_Tuple | the type of std::tuple with items for every clause to be checked.

Since
  v.0.6.1

Definition at line 1847 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## and_clause_t()

template<typename Subitems_Tuple >

restinio::easy_parser::impl::and_clause_t< Subitems_Tuple >::and_clause_t | ( | Subitems_Tuple && | subitems | ) |

inline

Definition at line 1852 of file easy_parser.hpp.

## Member Function Documentation

## try_process()

template<typename Subitems_Tuple >
template<typename Target_Type >

RESTINIO_NODISCARD optional_t< parse_error_t > restinio::easy_parser::impl::and_clause_t< Subitems_Tuple >::try_process | ( | source_t & | from,
|  | Target_Type & |
| ) |  |

inline

Definition at line 1860 of file easy_parser.hpp.

## Member Data Documentation

## m_subitems

template<typename Subitems_Tuple >

Subitems_Tuple restinio::easy_parser::impl::and_clause_t< Subitems_Tuple >::m_subitems

private

Definition at line 1849 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp